# $Revision: 1.18 $, $Date: 2010/07/08 08:32:07 $

Summary:	A Python interface to libpcap
Summary(pl.UTF-8):	Interfejs Pythona do libpcap
Name:		python-pylibpcap
Version:	0.4
Release:	6
License:	BSD
Group:		Libraries/Python
Source0:	http://dl.sourceforge.net/pylibpcap/pylibpcap-%{version}.tar.gz
# Source0-md5:	38c9a47db4113594b57aa0944b1ebdcf
Patch0:		%{name}-swig_sources.patch
URL:		http://pylibpcap.sourceforge.net/
BuildRequires:	python-devel >= 2.2.1
BuildRequires:	libpcap-devel
%pyrequires_eq	python-modules
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python module for the libpcap packet capture library, based on the
original Python libpcap module by Aaron Rhodes.

%description -l pl.UTF-8
Moduł Pythona do przechwytywania pakietów za pomocą biblioteki
libpcap.

%prep
%setup -q -n pylibpcap-%{version}
%patch0 -p1

%build
env CFLAGS="%{rpmcflags}" %{_bindir}/python setup.py build

%install
rm -rf $RPM_BUILD_ROOT
python -- setup.py install --root=$RPM_BUILD_ROOT --optimize=2


%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{py_sitedir}/*.so
%{py_sitedir}/*.py[co]

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: python-pylibpcap.spec,v $
Revision 1.18  2010/07/08 08:32:07  arekm
- release 6

Revision 1.17  2010/04/03 17:24:58  glen
- release 5

Revision 1.16  2008/10/03 17:57:43  arekm
- release 4

Revision 1.15  2007-02-13 08:06:43  glen
- tabs in preamble

Revision 1.14  2007/02/12 01:06:29  baggins
- converted to UTF-8

Revision 1.13  2005/06/26 21:29:09  saq
- swig is not used if built this way

Revision 1.12  2005/03/12 12:32:37  troll
- mass commit: remove obsolete BR: rpm-pythonprov

Revision 1.11  2004/12/27 16:36:02  saq
- swig_sources.patch for modern method signature
- release 3

Revision 1.10  2004/12/25 16:04:40  saq
- release 2 for rebuild with python 2.4

Revision 1.9  2004/07/28 08:03:17  troll
- removed %%include /usr/lib/rpm/macros.python

Revision 1.8  2004/05/26 21:15:23  ankry
- capitalization, tabs, other cosmetics

Revision 1.7  2003/09/03 21:25:13  adamg
- updated to 0.4

Revision 1.6  2003/08/28 08:38:50  ankry
- s/An/A/

Revision 1.5  2003/05/28 13:01:31  malekith
- massive attack: source-md5

Revision 1.4  2003/05/25 06:26:04  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.3  2003/03/10 14:37:09  qboosh
- working Source URL

Revision 1.2  2002/11/29 22:46:09  ankry
- massive attack: new %%doc

Revision 1.1  2002/04/23 17:11:44  misiek
- initial pld release
